Subject: Re: [nfsv4] rdattr_error for non-READDIR ops?

From: [email-masked]
Date: Tue, 30 May 2006 15:48:36 -0400 (EDT)

[Dave wrote]
>> It seems to that attr-not-supported does not convery the appropriate
>> facts
>> to the client.  He made a (stupid) error and should be told something is
>> really wrong.  For v4.1, I would say INVAL or a new error ATTR_INAPP 
>> should be returned in all such cases (except where the inappropriateness
>> is due to the absence of a file system in which case MOVED is correct).

[Bruce wrote]
> I'd be in favor of just INVAL.

Isn't there the generic principal that the server should be as flexible
as possible, for the sake of interoperability? Given that, I'd say Getattr
should return the rest of the attributes and just not return rdattrerr.

rick

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4